# _fluid_sfloader_t Struct Reference

## Data Fields

void * | data
| Private data.
int(* | free )(fluid_sfloader_t *loader)
| The free must free the memory allocated for the loader in addition to any private data.
fluid_sfont_t *(* | load )(fluid_sfloader_t *loader, const char *filename)
| Load a file.

## Detailed Description

Definition at line 74 of file sfont.h.

## Field Documentation

int(* _fluid_sfloader_t::free)(fluid_sfloader_t *loader)

The free must free the memory allocated for the loader in addition to any private data.

It should return 0 if no error occured, non-zero otherwise.

fluid_sfont_t*(* _fluid_sfloader_t::load)(fluid_sfloader_t *loader, const char *filename)

Load a file.

Returns NULL if an error occured.

The documentation for this struct was generated from the following file:

- include/fluidsynth/sfont.h